## Keyboard shortcuts

Press `←` or `→` to navigate between chapters

Press `S` or `/` to search in the book

Press `?` to show this help

Press `Esc` to hide this help

# cargo-report(1)

## NAME

cargo-report — Generate and display various kinds of reports

## SYNOPSIS

`cargo report` type [options]

### DESCRIPTION

Displays a report of the given type — currently, only `future-incompat` is supported

## OPTIONS

`--id` id
  Show the report with the specified Cargo-generated id
`-p` spec…
`--package` spec…
  Only display a report for the specified package

## EXAMPLES

1. Display the latest future-incompat report:

       cargo report future-incompat

2. Display the latest future-incompat report for a specific package:

       cargo report future-incompat --package my-dep:0.0.1

## SEE ALSO

Future incompat report

cargo(1)